# JOSE

Wise uses the [JOSE framework](https://jose.readthedocs.io/en/latest/) to accept and respond with signed and encrypted payloads. These endpoints allow you to manage keys and test your signing and encryption implementation.
For more information, please speak with your Implementation team.

 - [GET /v1/auth/jose/response/public-keys](https://docs.wise.com/api-reference/legacy/jose/joseresponsepublickeysget.md): Returns a public key issued by Wise. Depending on the scope requested, the key will be used for verifying HTTP responses signed by Wise or for for encrypting the payload prior to sending it to Wise. F
 - [POST /v1/auth/jose/request/public-keys](https://docs.wise.com/api-reference/legacy/jose/joserequestpublickeyscreate.md): Upload a client public key for request payload signing or response payload encryption. This endpoint requires a client credentials token, not a user level access token. Make sure you use your client d
 - [POST /v1/auth/jose/playground/jws](https://docs.wise.com/api-reference/legacy/jose/joseplaygroundjws.md): Send test signed HTTP requests and receive signed responses. Signing is mandatory for this endpoint — any message that is not a JSON Web Signature (JWS) will be rejected.
 - [GET /v1/auth/jose/playground/jwe](https://docs.wise.com/api-reference/legacy/jose/joseplaygroundjweget.md): Send test HTTP GET requests and receive encrypted responses.
 - [POST /v1/auth/jose/playground/jwe](https://docs.wise.com/api-reference/legacy/jose/joseplaygroundjwepost.md): Send test encrypted HTTP requests and receive encrypted responses. Encryption is mandatory for this endpoint — any message that is not in JSON Web Encryption (JWE) format will be rejected.
 - [POST /v1/auth/jose/playground/jwe-direct-encryption](https://docs.wise.com/api-reference/legacy/jose/joseplaygroundjwedirectencryption.md): Send encrypted HTTP requests for testing purposes and receive responses encrypted with the original content encryption key. Encryption is mandatory for this endpoint — any message that is not in JSON
 - [GET /v1/auth/jose/playground/jwsjwe](https://docs.wise.com/api-reference/legacy/jose/joseplaygroundjwsjweget.md): Send test signed and encrypted HTTP requests and receive signed and encrypted responses. Both signing and encryption are mandatory for this endpoint. The request must be a JSON Web Signature (JWS) wra
 - [POST /v1/auth/jose/playground/jwsjwe](https://docs.wise.com/api-reference/legacy/jose/joseplaygroundjwsjwepost.md): Send test signed and encrypted HTTP requests and receive signed and encrypted responses. Both signing and encryption are mandatory for this endpoint. The request must be a JSON Web Signature (JWS) wra
